Subject: Re: [Ice] I-D Action: draft-ietf-ice-trickle-12.txt

From: Christer Holmberg <[email-masked]>
Date: Tue, 4 Jul 2017 15:00:43 +0000

Hi,

...

>>        ICE also specifies
>>        that, if all the pairs in a media stream for one foundation are
>>        unfrozen (e.g., column 1, rows 1 and 2 representing both components
>>        for the audio stream), then all of the candidate pairs in the entire
>>        column are unfrozen (e.g., column 1, rows 3 and 4).
>> 
>> 
>> This isn't true any more. RFC5245bis appears to only have two rules 
>> about unfreezing now:
>> 
>>  1. If a pair succeeds, everything with the same foundation is unfrozen.
>>  2. If Ta fires for a checklist, and its whole row is frozen, every cell
>>     that's part of a column that's completely frozen is unfrozen
>>     (enforced by section 5.1.4.2, step 2). This is still pretty weird,
>>     but at least not as complex as the "for each component" rule before.
>> 
>> #2 isn't called out. Should it be?
>
> I'll let you and Christer decide on what's right here. ;-)

Well, YOU also need to understand the text in 5245bis. And, if something is unclear, we need to fix it.

Regards,

Christer

---

From: Taylor Brandstetter <[email-masked]>
Date: Wed, 5 Jul 2017 13:48:19 -0700

Personally, I don't think trickle ICE needs to restate *all* the rules of
5245bis. The important piece of information to convey is that trickle ICE
retains the 5245bis rules for how to update candidate pair states when "Ta"
fires or when a connectivity check finishes, with the addition of the new
rules called out in section 7.2 (Check List and Timer State Updates). So
I'd suggest just deleting the "all the pairs in a media stream for one
foundation" paragraph.

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 5 Jul 2017 14:52:09 -0600

WFM - it's never a great idea to restate things because they might
change in the original and there is the possiblity of misunderstanding.

On 7/5/17 2:48 PM, Taylor Brandstetter wrote:
> Personally, I don't think trickle ICE needs to restate /all/ the rules
> of 5245bis. The important piece of information to convey is that trickle
> ICE retains the 5245bis rules for how to update candidate pair states
> when "Ta" fires or when a connectivity check finishes, with the addition
> of the new rules called out in section 7.2 (Check List and Timer State
> Updates). So I'd suggest just deleting the "all the pairs in a media
> stream for one foundation" paragraph.
> 
> On Tue, Jul 4, 2017 at 8:00 AM, Christer Holmberg
> <[email-masked] <mailto:[email-masked]>>
> wrote:
> 
>     Hi,
> 
>     ...
> 
>     >>        ICE also specifies